package zero1hd.rhythmbullet.audio.visualizer;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.utils.Disposable;

import zero1hd.rhythmbullet.audio.MusicManager;

public interface Visualizer extends Disposable {

	void calcPCMData();

	void setMM(MusicManager mm);
	
	MusicManager getMM();
	
	void render(Batch batch, float delta);
	
	float[] getAudioPCMData();
	
	void fft();
}