package zero1hd.rhythmbullet.desktop.graphics.ui.pages;

import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Table;

public class StatPage extends Page {
	private Table table;
	private Label winLabel;
	
	private Label finalScore, damageTaken, enemiesKilled, shotsTaken, shotsMissed, accuracy;
	public StatPage(Skin skin, int score, int damageTake, int enemiesKilled, int shotsTaken, int shotsMissed, int accuracy) {
		table = new Table(skin);
		addActor(table);
		table.setFillParent(true);
		
		winLabel = new Label("Win!", skin);
		table.add(winLabel);
		table.row();
		
		this.finalScore = new Label("Your score: " + score, skin, "sub-font", skin.getColor("default"));
		table.add(this.finalScore);
		table.row();
		
		this.damageTaken = new Label("Damage Taken: " + damageTake, skin, "sub-font", skin.getColor("default"));
		table.add(this.damageTaken);
		table.row();
		
		this.enemiesKilled = new Label("Enemies slayed: " + enemiesKilled, skin, "sub-font", skin.getColor("default"));
		table.add(this.enemiesKilled);
		table.row();
		
		this.shotsTaken = new Label("Shots taken: " + shotsTaken, skin, "sub-font", skin.getColor("default"));
		table.add(this.shotsTaken);
		table.row();
		
		this.shotsMissed = new Label("Shots missed: " + shotsMissed, skin, "sub-font", skin.getColor("default"));
		table.add(this.shotsMissed);
		table.row();
		
		this.accuracy = new Label("Accuracy: " + accuracy, skin, "sub-font", skin.getColor("default"));
		table.add(this.accuracy);
	}
}
